Package com.rosivanyshyn.controller.dispatcher

# Class ControllerConstant

java.lang.Object
com.rosivanyshyn.controller.dispatcher.ControllerConstant

public class ControllerConstant extends Object
Controller Constant class. It contains views paths, security config paths and controllers names

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ACCOUNT_DETAILS_JSP`
  `static final String`
  `ALL_BOOKINGS_JSP`
  `static final String`
  `ALL_ORDERS_JSP`
  `static final String`
  `APARTMENT_DETAILS_JSP`
  `static final String`
  `APARTMENTS_JSP`
  `static final String`
  `BOOKINGS_JSP`
  `static final String`
  `CHANGE_LANGUAGE_CONTROLLER`
  `static final String`
  `CONTROLLER_NAME`
  `static final String`
  `CREATE_BOOKING_CONTROLLER`
  `static final String`
  `CREATE_ORDER_CONTROLLER`
  `static final String`
  `CREATE_RESPONSE_TO_ORDER_CONTROLLER`
  `static final String`
  `DELETE_APARTMENT_CONTROLLER`
  `static final String`
  `DELETE_BOOKING_CONTROLLER`
  `static final String`
  `DELETE_ORDER_CONTROLLER`
  `static final String`
  `ERROR_JSP`
  `static final String`
  `FEATURE_TURN_SCHEMA_VALIDATION_ON`
  `static final String`
  `FEATURE_TURN_VALIDATION_ON`
  `static final String`
  `GET_ACCOUNT_DETAILS_CONTROLLER`
  `static final String`
  `GET_ALL_BOOKINGS_CONTROLLER`
  `static final String`
  `GET_ALL_ORDERS_CONTROLLER`
  `static final String`
  `GET_APARTMENT_DETAILS_CONTROLLER`
  `static final String`
  `GET_APARTMENTS_CONTROLLER`
  `static final String`
  `GET_BOOKINGS_CONTROLLER`
  `static final String`
  `GET_ORDERS_CONTROLLER`
  `static final String`
  `GET_RESPONSE_TO_ORDER_CONTROLLER`
  `static final String`
  `INDEX_JSP`
  `static final String`
  `INITIALIZE_CONTROLLER`
  `static final String`
  `LOGIN_CONTROLLER`
  `static final String`
  `LOGIN_JSP`
  `static final String`
  `LOGOUT_CONTROLLER`
  `static final String`
  `MAKE_PAYMENT_FOR_BOOKING`
  `static final String`
  `NEW_BOOKING_CONTROLLER`
  `static final String`
  `NEW_BOOKING_JSP`
  `static final String`
  `NEW_ORDER_CONTROLLER`
  `static final String`
  `NEW_ORDER_JSP`
  `static final String`
  `NEW_RESPONSE_TO_ORDER_CONTROLLER`
  `static final String`
  `NEW_RESPONSE_TO_ORDER_JSP`
  `static final String`
  `ORDERS_JSP`
  `static final String`
  `REGISTRATION_CONTROLLER`
  `static final String`
  `RESPONSE_TO_ORDER_JSP`
  `static final String`
  `SEARCH_APARTMENT_CONTROLLER`
  `static final String`
  `SECURITY`
  `static final String`
  `SECURITY_PATH`
  `static final String`
  `UPDATE_ACCOUNT_CONTROLLER`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ControllerConstant()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### INDEX_JSP

    public static final String INDEX_JSP
    See Also:
      - Constant Field Values

  - ### ERROR_JSP

    public static final String ERROR_JSP
    See Also:
      - Constant Field Values

  - ### LOGIN_JSP

    public static final String LOGIN_JSP
    See Also:
      - Constant Field Values

  - ### ACCOUNT_DETAILS_JSP

    public static final String ACCOUNT_DETAILS_JSP
    See Also:
      - Constant Field Values

  - ### APARTMENTS_JSP

    public static final String APARTMENTS_JSP
    See Also:
      - Constant Field Values

  - ### APARTMENT_DETAILS_JSP

    public static final String APARTMENT_DETAILS_JSP
    See Also:
      - Constant Field Values

  - ### ALL_BOOKINGS_JSP

    public static final String ALL_BOOKINGS_JSP
    See Also:
      - Constant Field Values

  - ### BOOKINGS_JSP

    public static final String BOOKINGS_JSP
    See Also:
      - Constant Field Values

  - ### NEW_BOOKING_JSP

    public static final String NEW_BOOKING_JSP
    See Also:
      - Constant Field Values

  - ### ALL_ORDERS_JSP

    public static final String ALL_ORDERS_JSP
    See Also:
      - Constant Field Values

  - ### ORDERS_JSP

    public static final String ORDERS_JSP
    See Also:
      - Constant Field Values

  - ### NEW_ORDER_JSP

    public static final String NEW_ORDER_JSP
    See Also:
      - Constant Field Values

  - ### RESPONSE_TO_ORDER_JSP

    public static final String RESPONSE_TO_ORDER_JSP
    See Also:
      - Constant Field Values

  - ### NEW_RESPONSE_TO_ORDER_JSP

    public static final String NEW_RESPONSE_TO_ORDER_JSP
    See Also:
      - Constant Field Values

  - ### CONTROLLER_NAME

    public static final String CONTROLLER_NAME
    See Also:
      - Constant Field Values

  - ### INITIALIZE_CONTROLLER

    public static final String INITIALIZE_CONTROLLER
    See Also:
      - Constant Field Values

  - ### SECURITY

    public static final String SECURITY
    See Also:
      - Constant Field Values

  - ### SECURITY_PATH

    public static final String SECURITY_PATH
    See Also:
      - Constant Field Values

  - ### FEATURE_TURN_VALIDATION_ON

    public static final String FEATURE_TURN_VALIDATION_ON
    See Also:
      - Constant Field Values

  - ### FEATURE_TURN_SCHEMA_VALIDATION_ON

    public static final String FEATURE_TURN_SCHEMA_VALIDATION_ON
    See Also:
      - Constant Field Values

  - ### LOGIN_CONTROLLER

    public static final String LOGIN_CONTROLLER
    See Also:
      - Constant Field Values

  - ### LOGOUT_CONTROLLER

    public static final String LOGOUT_CONTROLLER
    See Also:
      - Constant Field Values

  - ### REGISTRATION_CONTROLLER

    public static final String REGISTRATION_CONTROLLER
    See Also:
      - Constant Field Values

  - ### GET_ACCOUNT_DETAILS_CONTROLLER

    public static final String GET_ACCOUNT_DETAILS_CONTROLLER
    See Also:
      - Constant Field Values

  - ### UPDATE_ACCOUNT_CONTROLLER

    public static final String UPDATE_ACCOUNT_CONTROLLER
    See Also:
      - Constant Field Values

  - ### GET_APARTMENTS_CONTROLLER

    public static final String GET_APARTMENTS_CONTROLLER
    See Also:
      - Constant Field Values

  - ### GET_APARTMENT_DETAILS_CONTROLLER

    public static final String GET_APARTMENT_DETAILS_CONTROLLER
    See Also:
      - Constant Field Values

  - ### DELETE_APARTMENT_CONTROLLER

    public static final String DELETE_APARTMENT_CONTROLLER
    See Also:
      - Constant Field Values

  - ### SEARCH_APARTMENT_CONTROLLER

    public static final String SEARCH_APARTMENT_CONTROLLER
    See Also:
      - Constant Field Values

  - ### GET_BOOKINGS_CONTROLLER

    public static final String GET_BOOKINGS_CONTROLLER
    See Also:
      - Constant Field Values

  - ### GET_ALL_BOOKINGS_CONTROLLER

    public static final String GET_ALL_BOOKINGS_CONTROLLER
    See Also:
      - Constant Field Values

  - ### NEW_BOOKING_CONTROLLER

    public static final String NEW_BOOKING_CONTROLLER
    See Also:
      - Constant Field Values

  - ### CREATE_BOOKING_CONTROLLER

    public static final String CREATE_BOOKING_CONTROLLER
    See Also:
      - Constant Field Values

  - ### MAKE_PAYMENT_FOR_BOOKING

    public static final String MAKE_PAYMENT_FOR_BOOKING
    See Also:
      - Constant Field Values

  - ### DELETE_BOOKING_CONTROLLER

    public static final String DELETE_BOOKING_CONTROLLER
    See Also:
      - Constant Field Values

  - ### GET_ORDERS_CONTROLLER

    public static final String GET_ORDERS_CONTROLLER
    See Also:
      - Constant Field Values

  - ### GET_ALL_ORDERS_CONTROLLER

    public static final String GET_ALL_ORDERS_CONTROLLER
    See Also:
      - Constant Field Values

  - ### NEW_ORDER_CONTROLLER

    public static final String NEW_ORDER_CONTROLLER
    See Also:
      - Constant Field Values

  - ### CREATE_ORDER_CONTROLLER

    public static final String CREATE_ORDER_CONTROLLER
    See Also:
      - Constant Field Values

  - ### DELETE_ORDER_CONTROLLER

    public static final String DELETE_ORDER_CONTROLLER
    See Also:
      - Constant Field Values

  - ### GET_RESPONSE_TO_ORDER_CONTROLLER

    public static final String GET_RESPONSE_TO_ORDER_CONTROLLER
    See Also:
      - Constant Field Values

  - ### NEW_RESPONSE_TO_ORDER_CONTROLLER

    public static final String NEW_RESPONSE_TO_ORDER_CONTROLLER
    See Also:
      - Constant Field Values

  - ### CREATE_RESPONSE_TO_ORDER_CONTROLLER

    public static final String CREATE_RESPONSE_TO_ORDER_CONTROLLER
    See Also:
      - Constant Field Values

  - ### CHANGE_LANGUAGE_CONTROLLER

    public static final String CHANGE_LANGUAGE_CONTROLLER
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ControllerConstant

    public ControllerConstant()